Messages
{
"method": "subscribe",
"topic": "solana.dex.swaps",
"params": {
"token_addresses": [
"J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
],
"wallet_addresses": [
"CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED"
],
"pool_addresses": [
"9wFFyRfZBdaj2EcWNxUkt4GAg6Ct8N29pbh66ziNhbn"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.dex.swaps"
]
}{
"topic": "solana.dex.swaps",
"data": {
"id": 1,
"swap_type": "token_quote",
"protocol": "orca-whirl",
"wallet_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED",
"pool_address": "9wFFyRfZBdaj2EcWNxUkt4GAg6Ct8N29pbh66ziNhbn",
"token_in": "J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd",
"token_out": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"token_symbol_in": "2Z",
"token_symbol_out": "USDC",
"token_amount_in": 256.4115815,
"token_amount_out": 35.323303,
"token_price_in": 0.13773953743547926,
"token_price_out": 0.99985023,
"pre_token_balance_in": 2247.98704231,
"pre_token_balance_out": 941487.708419,
"post_token_balance_in": 1991.57546081,
"post_token_balance_out": 941523.031722,
"usd_amount_in": 35.31801262890969,
"usd_amount_out": 35.323303,
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z",
"tx_hash": "3gg6eQPa2PJ4LkGnd12EoEBHmSB3R3fr9h6MYUaaDAjeZBL5bb9paUxn521Z9d3ScWES4cVKLsexwEvo3dUoqhEs"
}
}Swaps
Subscribe Swaps
Subscribe to real-time wallet swaps.
WSS
/
v1
/
ws
To keep the connection alive, you need to send a ping message every less than 60 seconds.
topic field that you can use to filter the type of message.
When subscribing, you can leave any of the array fields of the
params object empty to subscribe to all entries for that field.When unsubscribing, you can leave the
topics array empty to unsubscribe from all topics.Messages
{
"method": "subscribe",
"topic": "solana.dex.swaps",
"params": {
"token_addresses": [
"J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd"
],
"wallet_addresses": [
"CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED"
],
"pool_addresses": [
"9wFFyRfZBdaj2EcWNxUkt4GAg6Ct8N29pbh66ziNhbn"
]
}
}{
"method": "unsubscribe",
"topics": [
"solana.dex.swaps"
]
}{
"topic": "solana.dex.swaps",
"data": {
"id": 1,
"swap_type": "token_quote",
"protocol": "orca-whirl",
"wallet_address": "CsVdJ8WH8Q9eHSTRpwtwN3TYApm24QnLKYUMNxJ3DaED",
"pool_address": "9wFFyRfZBdaj2EcWNxUkt4GAg6Ct8N29pbh66ziNhbn",
"token_in": "J6pQQ3FAcJQeWPPGppWRb4nM8jU3wLyYbRrLh7feMfvd",
"token_out": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"token_symbol_in": "2Z",
"token_symbol_out": "USDC",
"token_amount_in": 256.4115815,
"token_amount_out": 35.323303,
"token_price_in": 0.13773953743547926,
"token_price_out": 0.99985023,
"pre_token_balance_in": 2247.98704231,
"pre_token_balance_out": 941487.708419,
"post_token_balance_in": 1991.57546081,
"post_token_balance_out": 941523.031722,
"usd_amount_in": 35.31801262890969,
"usd_amount_out": 35.323303,
"block_slot": 382423380,
"block_time": "2026-05-28T12:00:00Z",
"tx_hash": "3gg6eQPa2PJ4LkGnd12EoEBHmSB3R3fr9h6MYUaaDAjeZBL5bb9paUxn521Z9d3ScWES4cVKLsexwEvo3dUoqhEs"
}
}x-api-key
type:httpApiKey
Your Prism API key. You can get one for free in the Prism Dashboard.
You must include it in the x-api-key query parameter.
Subscribe Swaps
type:object
Subscribe to swap updates.
Unsubscribe Swaps
type:object
Unsubscribe from swap updates.
Wallet Swap Message
type:object
Message containing the swap data for the subscribed wallets.
Was this page helpful?
⌘I